Bug 1005868 - Configuration enhancement - avoid duplicating SSL configuration in every vhost
Configuration enhancement - avoid duplicating SSL configuration in every vhost
Status: NEW
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luboš Uhliarik
Fedora Extras Quality Assurance
: Reopened
: 1579479 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 10:20 EDT by Alexander Boström
Modified: 2018-05-21 06:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:21:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested change to ssl.conf (15.18 KB, patch)
2013-09-09 10:20 EDT, Alexander Boström
no flags Details | Diff
Suggested change to ssl.conf, now with spec file changes (rather trivial) (16.55 KB, patch)
2013-09-30 11:24 EDT, Alexander Boström
no flags Details | Diff

  None (edit)
Description Alexander Boström 2013-09-09 10:20:39 EDT
Created attachment 795639 [details]
Suggested change to ssl.conf

When adding SSL vhosts to the configuration, one needs to copy some of the contents ssl.conf and add it inside the new VirtualHost declaration. If this was available as a separate file it would make the configuration easier to work with.

It might also be beneficial to move <VirtualHost _default_:443> to a separate file (ssl-vhosts.conf or similar).
Comment 1 Alexander Boström 2013-09-30 11:24:59 EDT
Created attachment 805260 [details]
Suggested change to ssl.conf, now with spec file changes (rather trivial)
Comment 2 Fedora Admin XMLRPC Client 2014-06-30 05:53:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jaroslav Reznik 2015-03-03 10:03:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 06:21:48 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Jan Pazdziora 2016-07-26 09:08:50 EDT
This is still valid request, reopening.
Comment 6 Fedora Admin XMLRPC Client 2016-10-17 06:42:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2017-02-28 04:35:05 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 8 Fedora End Of Life 2018-05-03 04:56:06 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Jan Pazdziora 2018-05-10 05:17:24 EDT
This would still be very useful.
Comment 10 Joe Orton 2018-05-18 03:33:49 EDT
*** Bug 1579479 has been marked as a duplicate of this bug. ***
Comment 11 Gregory Lee Bartholomew 2018-05-18 10:12:23 EDT
Thanks Joe.  I wasn't aware of this earlier report.

Also, it is probably overkill, but it occurs to me that one could also use the ".d" config directory type thing that has been trending in recent years to separate out the global and per-virtualhost configuration.  E.g.:

.
├── conf
│   ├── httpd.conf
│   └── magic
├── conf.d
│   └── ssl.conf
├── conf.modules.d
│   └── 00-base.conf
└── conf.virtualhosts.d
    └── ssl.conf
Comment 12 Jan Pazdziora 2018-05-21 06:11:08 EDT
I agree with the .d approach.

Could we maybe draw inspiration from other distributions' layout style?

Note You need to log in before you can comment on or make changes to this bug.